<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:33 UTC 2019 -->
<title>Maneuver (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Maneuver (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Maneuver.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/Maneuver.html" target="_top">Frames</a></li>
<li><a href="Maneuver.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.routing</div>
<h2 title="Class Maneuver" class="title">Class Maneuver</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.routing.Maneuver</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/routing/TransitManeuver.html" title="class in com.here.android.mpa.routing">TransitManeuver</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Maneuver</span>
extends java.lang.Object</pre>
<div class="block">Represents the action required to leave one street segment and enter the next in the chain of
 directions that comprises a calculated <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a></span></code>
<div class="block">Represents values describing the possible actions of a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a></span></code>
<div class="block">Represents values describing types of <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a> icons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.TrafficDirection.html" title="enum in com.here.android.mpa.routing">Maneuver.TrafficDirection</a></span></code>
<div class="block">Represents values describing possible traffic directions, the side of road on which one must
 drive.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing">Maneuver.Turn</a></span></code>
<div class="block">Represents values describing possible turns within a <a href="../../../../../com/here/android/mpa/routing/Maneuver.html" title="class in com.here.android.mpa.routing"><code>Maneuver</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getAction--">getAction</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Action</code></a> required to complete the maneuver.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getAngle--">getAngle</a></span>()</code>
<div class="block">Gets the angle of the maneuver.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getBoundingBox--">getBoundingBox</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> of the maneuver, which is a group of GeoCoordinates forming a
 polygon</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getCoordinate--">getCoordinate</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the maneuver.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getDistanceFromPreviousManeuver--">getDistanceFromPreviousManeuver</a></span>()</code>
<div class="block">Gets the distance from the previous maneuver to the current maneuver, in meters.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getDistanceFromStart--">getDistanceFromStart</a></span>()</code>
<div class="block">Gets the distance from the start of the route to the maneuver, in meters.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getDistanceToNextManeuver--">getDistanceToNextManeuver</a></span>()</code>
<div class="block">Gets the distance to the next maneuver from the current maneuver, in meters.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getIcon--">getIcon</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Icon</code></a> enum that represents the icon that should be displayed
 for this maneuver.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getManeuverGeometry--">getManeuverGeometry</a></span>()</code>
<div class="block">Puts all points of the maneuvers polyline in the right order into the given collection.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getMapOrientation--">getMapOrientation</a></span>()</code>
<div class="block">Gets the map orientation at the start of the maneuver, in degrees.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getNextRoadImage--">getNextRoadImage</a></span>()</code>
<div class="block">Gets the image of the road this maneuver leads to.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getNextRoadName--">getNextRoadName</a></span>()</code>
<div class="block">Gets the name of the road to which the maneuver leads.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getNextRoadNumber--">getNextRoadNumber</a></span>()</code>
<div class="block">Gets the road number to which the maneuver leads.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common">RoadElement</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getRoadElements--">getRoadElements</a></span>()</code>
<div class="block">Returns a list of <a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common"><code>RoadElement</code></a>s within the maneuver.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getRoadName--">getRoadName</a></span>()</code>
<div class="block">Gets the name of the road on which the maneuver takes place.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getRoadNumber--">getRoadNumber</a></span>()</code>
<div class="block">Gets the road number on which the maneuver takes place.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getRouteElements--">getRouteElements</a></span>()</code>
<div class="block">Returns a list of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> within the maneuver</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/Signpost.html" title="class in com.here.android.mpa.routing">Signpost</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getSignpost--">getSignpost</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Signpost.html" title="class in com.here.android.mpa.routing"><code>Signpost</code></a> for this maneuver.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getStartTime--">getStartTime</a></span>()</code>
<div class="block">Gets the (estimated) time at which the maneuver starts.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/Maneuver.TrafficDirection.html" title="enum in com.here.android.mpa.routing">Maneuver.TrafficDirection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getTrafficDirection--">getTrafficDirection</a></span>()</code>
<div class="block">Return traffic direction.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing">RouteOptions.TransportMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getTransportMode--">getTransportMode</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing"><code>RouteOptions.TransportMode</code></a> used for the maneuver.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing">Maneuver.Turn</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/routing/Maneuver.html#getTurn--">getTurn</a></span>()</code>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Turn</code></a> required to complete the maneuver.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCoordinate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoordinate</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getCoordinate()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the maneuver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a></dd>
</dl>
</li>
</ul>
<a name="getBoundingBox--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> getBoundingBox()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> of the maneuver, which is a group of GeoCoordinates forming a
 polygon</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a></dd>
</dl>
</li>
</ul>
<a name="getAction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAction</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing">Maneuver.Action</a> getAction()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Action</code></a> required to complete the maneuver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Action</code></a></dd>
</dl>
</li>
</ul>
<a name="getTurn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTurn</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing">Maneuver.Turn</a> getTurn()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Turn</code></a> required to complete the maneuver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/routing/Maneuver.Turn.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Turn</code></a></dd>
</dl>
</li>
</ul>
<a name="getTransportMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransportMode</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing">RouteOptions.TransportMode</a> getTransportMode()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing"><code>RouteOptions.TransportMode</code></a> used for the maneuver. This might differ from the
 <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing"><code>RouteOptions.TransportMode</code></a> used when calculating the <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> with which the particular
 maneuver is associated. For example, in the case where a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> is calculated using
 <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html#PUBLIC_TRANSPORT"><code>RouteOptions.TransportMode.PUBLIC_TRANSPORT</code></a>, the overall route is a public transport route, but
 some individual maneuvers may be pedestrian (for example, walking to a bus stop, or transfers
 which involve walking to a new stop).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/routing/RouteOptions.TransportMode.html" title="enum in com.here.android.mpa.routing"><code>RouteOptions.TransportMode</code></a></dd>
</dl>
</li>
</ul>
<a name="getDistanceFromStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistanceFromStart</h4>
<pre>public int getDistanceFromStart()</pre>
<div class="block">Gets the distance from the start of the route to the maneuver, in meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The distance</dd>
</dl>
</li>
</ul>
<a name="getDistanceFromPreviousManeuver--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistanceFromPreviousManeuver</h4>
<pre>public int getDistanceFromPreviousManeuver()</pre>
<div class="block">Gets the distance from the previous maneuver to the current maneuver, in meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The distance</dd>
</dl>
</li>
</ul>
<a name="getDistanceToNextManeuver--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistanceToNextManeuver</h4>
<pre>public int getDistanceToNextManeuver()</pre>
<div class="block">Gets the distance to the next maneuver from the current maneuver, in meters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The distance</dd>
</dl>
</li>
</ul>
<a name="getRoadName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoadName</h4>
<pre>public java.lang.String getRoadName()</pre>
<div class="block">Gets the name of the road on which the maneuver takes place.
 <p>
 Road name is provided if available for a given <code>Maneuver</code>. If not provided, it should
 be left blank. It's erroneous to assume that it is the same as prior maneuvers.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The road name</dd>
</dl>
</li>
</ul>
<a name="getNextRoadName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextRoadName</h4>
<pre>public java.lang.String getNextRoadName()</pre>
<div class="block">Gets the name of the road to which the maneuver leads.
 <p>
 Next road name is provided if available for a given <code>Maneuver</code>. If not provided, it
 should be left blank. It's erroneous to assume that it is the same as prior maneuvers.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The next road name</dd>
</dl>
</li>
</ul>
<a name="getRoadNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoadNumber</h4>
<pre>public java.lang.String getRoadNumber()</pre>
<div class="block">Gets the road number on which the maneuver takes place.
 The road number is a short label for the road or highway, such as "5" for Interstate 5.
 <p>
 If the road number is unknown, this method will return an empty string.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The road number</dd>
</dl>
</li>
</ul>
<a name="getNextRoadNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextRoadNumber</h4>
<pre>public java.lang.String getNextRoadNumber()</pre>
<div class="block">Gets the road number to which the maneuver leads.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The road number of the next road element</dd>
</dl>
</li>
</ul>
<a name="getTrafficDirection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTrafficDirection</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/Maneuver.TrafficDirection.html" title="enum in com.here.android.mpa.routing">Maneuver.TrafficDirection</a> getTrafficDirection()</pre>
<div class="block">Return traffic direction.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>LEFT, if left side traffic, RIGHT if right side traffic.</dd>
</dl>
</li>
</ul>
<a name="getIcon--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIcon</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing">Maneuver.Icon</a> getIcon()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Icon</code></a> enum that represents the icon that should be displayed
 for this maneuver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/routing/Maneuver.Icon.html" title="enum in com.here.android.mpa.routing"><code>Maneuver.Icon</code></a></dd>
</dl>
</li>
</ul>
<a name="getAngle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAngle</h4>
<pre>public int getAngle()</pre>
<div class="block">Gets the angle of the maneuver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The angle in degrees from end of the start road to the start of the end road. Angle
         has a value from 0, 360, north is up, clockwise. For some roundabouts, this angle
         is an approximation from the entry to the exit point of the roundabout, which may
         be used for customization of the roundabout icon.</dd>
</dl>
</li>
</ul>
<a name="getMapOrientation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapOrientation</h4>
<pre>public int getMapOrientation()</pre>
<div class="block">Gets the map orientation at the start of the maneuver, in degrees.
 <p>
 Note: a returned value of zero represents true-north, with increasing values representing a
 clockwise progression of map orientation.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The orientation</dd>
</dl>
</li>
</ul>
<a name="getStartTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStartTime</h4>
<pre>public java.util.Date getStartTime()</pre>
<div class="block">Gets the (estimated) time at which the maneuver starts.
 <p>
 If no departure time was set for the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> associated with the maneuver, then
 the time is relative to the system time when the route calculation took place. Otherwise, the
 times are relative to the specified departure time.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The start time, or <code>null</code> if not available</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html#setTime-java.util.Date-com.here.android.mpa.routing.RouteOptions.TimeType-"><code>RouteOptions.setTime(Date, RouteOptions.TimeType)</code></a></dd>
</dl>
</li>
</ul>
<a name="getRoadElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoadElements</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common">RoadElement</a>&gt; getRoadElements()</pre>
<div class="block">Returns a list of <a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common"><code>RoadElement</code></a>s within the maneuver.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection of <a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common"><code>RoadElement</code></a>s.</dd>
</dl>
</li>
</ul>
<a name="getRouteElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouteElements</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing">RouteElement</a>&gt; getRouteElements()</pre>
<div class="block">Returns a list of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a> within the maneuver</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection of <a href="../../../../../com/here/android/mpa/routing/RouteElement.html" title="class in com.here.android.mpa.routing"><code>RouteElement</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getManeuverGeometry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getManeuverGeometry</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a>&gt; getManeuverGeometry()</pre>
<div class="block">Puts all points of the maneuvers polyline in the right order into the given collection.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection of <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinates</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getSignpost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignpost</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/Signpost.html" title="class in com.here.android.mpa.routing">Signpost</a> getSignpost()</pre>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/routing/Signpost.html" title="class in com.here.android.mpa.routing"><code>Signpost</code></a> for this maneuver. If the signpost is not valid, <code>null</code> is
 returned.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>Signpost</code> object if a valid one exists. Otherwise, returns <code>null</code>.</dd>
</dl>
</li>
</ul>
<a name="getNextRoadImage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNextRoadImage</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> getNextRoadImage()</pre>
<div class="block">Gets the image of the road this maneuver leads to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a> for the next road (may be
         <code>null</code>).</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Maneuver.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/routing/DynamicPenalty.html" title="class in com.here.android.mpa.routing"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/routing/Maneuver.Action.html" title="enum in com.here.android.mpa.routing"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/routing/Maneuver.html" target="_top">Frames</a></li>
<li><a href="Maneuver.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
